global:
  registry: docker.io
  repository: freeleaps
  environment: prod
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-central-storage-dashboard
  title: Central Storage Service Dashboard (PROD)
  metricsPrefix: freeleaps_central_storage
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/central_storage/*.log
  logPath: /app/log/central_storage
centralStorage:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: central_storage
    tag: snapshot-561bf20
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8005
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 64Mi
    limits:
      cpu: 300m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8005
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8005
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: central-storage-service
    type: ClusterIP
    port: 8005
    targetPort: 8005
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      internal: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: central_storage
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8005
    mongodbName: freeleaps2
    mongodbPort: 27017
    metricsEnabled: 'true'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-central-storage-prod-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: azureStorageDocumentApiKey
      remoteRef:
        key: freeleaps-prod-azure-storage-document-api-key
        type: Secret
    - key: azureStorageDocumentApiEndpoint
      remoteRef:
        key: freeleaps-prod-azure-storage-document-api-endpoint
        type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 128Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 512Mi
    controlledResources:
    - cpu
    - memory
  prometheusRule:
    name: freepeals-prod-central-storage
    enabled: true
    namespace: freeleaps-monitoring-system
    labels:
      release: kube-prometheus-stack
    rules:
    - alert: FreeleapsCentralStorageServiceDown
      expr: up{job="central-storage-service"} == 0
      for: 1m
      labels:
        severity: critical
        service: central-storage-service
      annotations:
        summary: Freeleaps Central Storage service is down (instance {{ $labels.instance }})
        description: Freeleaps Central Storage service has been down for more than 1 minutes.
        runbook_url: https://netorgft10898514.sharepoint.com/:w:/s/FreeleapsEngineeringTeam/EUlvzumTsPxCpPAzI3gm9OIB0DCLTjQzzYVL6VsHYZFjxg?e=0dxVr7
    - alert: FreeleapsCentralStorageServiceHighErrorRate
      expr: rate(http_requests_total{job="central-storage-service",status=~"5.."}[5m]) > 0.1
      for: 5m
      labels:
        severity: warning
        service: central-storage-service
      annotations:
        summary: High error rate in freeleaps central storage service (instance {{ $labels.instance }})
        description: Freeleaps Central Storage service error rate is {{ $value }} errors per second.
        runbook_url: https://netorgft10898514.sharepoint.com/:w:/s/FreeleapsEngineeringTeam/EUlvzumTsPxCpPAzI3gm9OIB0DCLTjQzzYVL6VsHYZFjxg?e=0dxVr7
